Webhooks
Activation Challenge Request
Handle the activation challenge GET request.
When you register a webhook and activate it, Prelude will send you an activation challenge request. This is a GET request to the webhook endpoint with the following query parameters:Documentation Index
Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
Use this file to discover all available pages before exploring further.
event: The event type. It will be alwaysactivate.verification_token: The verification token, you set when you registered the webhook.challenge: A random integer.app_id: The application ID of the webhook.
- Verify that the
app_idis the one you’d expect. - Verify that the
verification_tokenis the one you set when you registered the webhook. - Return a
200 OKresponse with the challenge integer in the response body.
GET /v2/session/apps/{appID}/webhooks/{webhookID}/activate will fail with a 400 Bad Request error and the webhook will not be activated.
Once the webhook is activated, you will start directly receiving events from Prelude.
Activation challenge response
The activation challenge response is a JSON object with the following properties:The challenge you received as a query parameter in the webhook request.
Example:
1234567890